# NamePart Struct Reference

## Data Fields
byte | prob
| The relative probablity of the following name to appear in the bottom 7 bits.
union {
char * text
| If probability bit 7 is clear.
byte id
| If probability bit 7 is set.
} | data

## Detailed Description

Definition at line 19 of file newgrf_townname.h.

The documentation for this struct was generated from the following file:

- src/newgrf_townname.h